Delete Signing requests
/unified/e-signature/signing_requests/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
If the signing request is voided or cancelled, the reason is specified here.
The collections of the signing request.
The unique identifier of the collection.
The name of the collection.
The date and time when the signing request was created.
Human readable description of the signing request. This is usually the email body that goes as part of the signing request.
The date and time when the signing request expires.
The groups of the signing request.
The unique identifier of the group.
The type of the group.
The unique identifier of the signing request.
1 supported
The date and time when the signing request was last updated.
The name of the signing request. This is usually the email subject that goes as part of the signing request.
The participants of the signing request.
The emails of the participant.
1 property
The email address of the participant.
The unique identifier of the participant.
Specifies whether the participant is a signer of the document.
The name of the participant.
The routing order of the participant.
Raw data returned from the remote API call.
The status of the signing request.
The type of the signing request.
The date and time when the signing request was last updated.
The urls of the signing_request
The type of the url
vieweditpublic_view
The url of the signing_request
curl -X DELETE 'https://api.truto.one/unified/e-signature/signing_requests/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/e-signature/signing_requests/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/e-signature/signing_requests/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.delete(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.delete(
'e-signature',
'signingrequests',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.delete(
"e-signature",
"signingrequests",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())